## org.gnu.gtk
Class RadioMenuItem

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Bin
                              org.gnu.gtk.Item
                                  org.gnu.gtk.MenuItem
                                      org.gnu.gtk.CheckMenuItem
                                          org.gnu.gtk.RadioMenuItem

public class RadioMenuItem
extends CheckMenuItem

A RadioMenuItem is a CheckMenuItem that belongs to a group. At each instant exactly one of the RadioMenuItems from the group is selected.

Constructor Summary
`RadioMenuItem(org.gnu.glib.Handle handle)` Internal method.
`RadioMenuItem(RadioMenuItem group)`
`RadioMenuItem(RadioMenuItem[] group)`
`RadioMenuItem(RadioMenuItem[] group, java.lang.String label, boolean hasMnemonic)` Create a new RadioMenuItem object adding it to the same group as the provided RadioMenuItem.
`RadioMenuItem(RadioMenuItem group, java.lang.String label, boolean hasMnemonic)`

Method Summary
`RadioMenuItem[]` `getGroup()`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `setGroup(RadioMenuItem[] group)`

Methods inherited from class org.gnu.gtk.CheckMenuItem
`addListener, getActive, getCheckMenuItem, getDrawAsRadio, getEventListenerClass, getEventType, getInconsistent, removeListener, setActive, setDrawAsRadio, setInconsistent`

Methods inherited from class org.gnu.gtk.MenuItem
`addListener, emitActivate, emitDeselect, getMenuItem, removeListener, removeSubmenu, setLeftJustified, setRightJustified, setSubmenu`

Methods inherited from class org.gnu.gtk.Item
`addListener, deselect, removeListener, select, toggle`

Methods inherited from class org.gnu.gtk.Bin
`getChild`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RadioMenuItem

    public RadioMenuItem(RadioMenuItem[] group)

### RadioMenuItem

    public RadioMenuItem(RadioMenuItem[] group,
                         java.lang.String label,
                         boolean hasMnemonic)

  Create a new RadioMenuItem object adding it to the same group as the provided RadioMenuItem. If this is the first RadioMenuItem pass `null` for this parameter.

Parameters:
  `group` - A RadioMenuItem that belongs to the group that we wish to add this newly constructed RadioMenuItem to. If this is the first RadioMenuItem in the group just pass `null`.
  `label` - The text label to assign to this RadioButton.
  `hasMnemonic` - An indicator to inform the widget if the label contains a mnemonic.

### RadioMenuItem

    public RadioMenuItem(RadioMenuItem group)

### RadioMenuItem

    public RadioMenuItem(RadioMenuItem group,
                         java.lang.String label,
                         boolean hasMnemonic)

### RadioMenuItem

    public RadioMenuItem(org.gnu.glib.Handle handle)

  Internal method. Construct a RadioMenuItem using a handle to a native resource (this is public primarily so that LibGlade can construct them).

Method Detail

### getGroup

    public RadioMenuItem[] getGroup()

### setGroup

    public void setGroup(RadioMenuItem[] group)

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.